git.delta.rocks / unique-network / refs/commits / a0ead211d131

difftreelog

fix exit on script error

Igor Kozyrev2022-06-21parent: #150e9b0.patch.diff
in: master

3 files changed

modifiedtests/update_apps.shdiffbeforeafterboth
before · tests/update_apps.sh
1#!/usr/bin/env sh23./update_types.sh45if [ ! -d polkadot-apps ]; then6	git clone git@github.com:polkadot-js/apps.git polkadot-apps --depth=17fi89pushd polkadot-apps10yarn link ../unique-types-js11popd
after · tests/update_apps.sh
1#!/usr/bin/env sh23set -eux45./update_types.sh67if [ ! -d polkadot-apps ]; then8	git clone git@github.com:polkadot-js/apps.git polkadot-apps --depth=19fi1011pushd polkadot-apps12yarn link ../unique-types-js13popd
modifiedtests/update_apps_start.shdiffbeforeafterboth
--- a/tests/update_apps_start.sh
+++ b/tests/update_apps_start.sh
@@ -1,7 +1,9 @@
 #!/usr/bin/env sh
 
+set -eux
+
 ./update_apps.sh
 
 pushd polkadot-apps
 yarn start
-popd
\ No newline at end of file
+popd
modifiedtests/update_types.shdiffbeforeafterboth
--- a/tests/update_types.sh
+++ b/tests/update_types.sh
@@ -1,5 +1,7 @@
 #!/usr/bin/env sh
 
+set -eux
+
 yarn polkadot-types
 
 if [ ! -d unique-types-js ]; then